/*
   This test function computes the first 60 Fibonacci numbers.

   Use any one of the Fibonaci methods,
      fib1(n) - recursion
      fib2(n) - bottom-up iteration
      fib3(n) - memoized (top-down) recursion
*/
public class Fib
{
   public static void main(String[] args)
   {
      for (int n = 0; n <= 60; ++n)
      {
         // Compute the n'th Fibonacci number.
         final long startTime = System.currentTimeMillis();
         final long fn = Fibonacci.fib1( n );
       //final long fn = Fibonacci.fib2( n );
       //final long fn = Fibonacci.fib3( n );
         final long stopTime = System.currentTimeMillis();
         System.out.printf("Fib(%d) = %d, and it took time = %d milliseconds.\n", n, fn, stopTime - startTime);
      }
   }
}
