/*
   This test function computes the first 30 Gibonacci numbers.

   Use any one of the Gibonaci methods,
      gib1(n) - recursive
      gib2(n) - bottom-up iteration
      gib3(n) - memoized (top-down) recursion
*/
public class Gib
{
   public static void main(String[] args)
   {
      for (int n = 0; n <= 30; ++n)
      {
         // Compute the n'th Gibonacci number.
         final long startTime = System.currentTimeMillis();
         final long fn = Gibonacci.gib1( n );
       //final long fn = Gibonacci.gib2( n );
       //final long fn = Gibonacci.gib3( n );
         final long stopTime = System.currentTimeMillis();
         System.out.printf("Gib(%d) = %d, and it took time = %d milliseconds.\n", n, fn, stopTime - startTime);
      }
   }
}
